<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-pragma">{-# LINE 1 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-1"></span><span class="hs-pragma">{-# LANGUAGE DataKinds #-}</span><span>
</span><span id="line-2"></span><span class="hs-pragma">{-# LANGUAGE TypeOperators #-}</span><span>
</span><span id="line-3"></span><span class="hs-pragma">{-# LANGUAGE GeneralizedNewtypeDeriving #-}</span><span>
</span><span id="line-4"></span><span class="hs-pragma">{-# LANGUAGE DerivingStrategies #-}</span><span>
</span><span id="line-5"></span><span class="hs-pragma">{-# LANGUAGE RecordWildCards #-}</span><span>
</span><span id="line-6"></span><span class="hs-pragma">{-# LANGUAGE DuplicateRecordFields #-}</span><span>
</span><span id="line-7"></span><span class="hs-pragma">{-# LANGUAGE StandaloneDeriving #-}</span><span>
</span><span id="line-8"></span><span class="hs-pragma">{-# LANGUAGE TypeSynonymInstances #-}</span><span>
</span><span id="line-9"></span><span class="hs-pragma">{-# LANGUAGE FlexibleInstances #-}</span><span>
</span><span id="line-10"></span><span class="hs-pragma">{-# LANGUAGE DeriveGeneric #-}</span><span>
</span><span id="line-11"></span><span class="hs-pragma">{-# LANGUAGE DerivingVia #-}</span><span>
</span><span id="line-12"></span><span>
</span><span id="line-13"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.FC.C.Types</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-14"></span><span>
</span><span id="line-15"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Bits</span></span><span>
</span><span id="line-16"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-17"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Storable</span></span><span>
</span><span id="line-18"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">SDL.Raw.Types</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">SDL</span></span><span>
</span><span id="line-19"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-20"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-21"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-22"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Memorable.html"><span class="hs-identifier">Memorable</span></a></span><span>
</span><span id="line-23"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">GHC.Generics</span></span><span>
</span><span id="line-24"></span><span>
</span><span id="line-25"></span><span>
</span><span id="line-26"></span><span>
</span><span id="line-27"></span><span class="hs-keyword">newtype</span><span> </span><span id="AlignEnum"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-var">AlignEnum</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="AlignEnum"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-var">AlignEnum</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word32</span></span><span>
</span><span id="line-28"></span><span class="hs-pragma">{-# LINE 28 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">stock</span><span> </span><span class="hs-special">(</span><span class="hs-identifier">Eq</span><span class="hs-special">,</span><span> </span><span class="hs-identifier">Show</span><span class="hs-special">)</span><span>
</span><span id="line-29"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">newtype</span></span><span> </span><span class="hs-special">(</span><span id="local-6989586621679189203"><span id="local-6989586621679189207"><span id="local-6989586621679189211"><span id="local-6989586621679189215"><span id="local-6989586621679189219"><span id="local-6989586621679189223"><span id="local-6989586621679189228"><span class="annot"><span class="annottext">Integer -&gt; AlignEnum
AlignEnum -&gt; AlignEnum
AlignEnum -&gt; AlignEnum -&gt; AlignEnum
forall a.
(a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (Integer -&gt; a)
-&gt; Num a
fromInteger :: Integer -&gt; AlignEnum
$cfromInteger :: Integer -&gt; AlignEnum
signum :: AlignEnum -&gt; AlignEnum
$csignum :: AlignEnum -&gt; AlignEnum
abs :: AlignEnum -&gt; AlignEnum
$cabs :: AlignEnum -&gt; AlignEnum
negate :: AlignEnum -&gt; AlignEnum
$cnegate :: AlignEnum -&gt; AlignEnum
* :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$c* :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
- :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$c- :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
+ :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$c+ :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Num</span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679189111"><span id="local-6989586621679189115"><span id="local-6989586621679189119"><span id="local-6989586621679189123"><span id="local-6989586621679189127"><span id="local-6989586621679189131"><span id="local-6989586621679189135"><span id="local-6989586621679189139"><span id="local-6989586621679189143"><span id="local-6989586621679189147"><span id="local-6989586621679189151"><span id="local-6989586621679189155"><span id="local-6989586621679189159"><span id="local-6989586621679189163"><span id="local-6989586621679189167"><span id="local-6989586621679189171"><span id="local-6989586621679189175"><span id="local-6989586621679189179"><span id="local-6989586621679189183"><span id="local-6989586621679189187"><span id="local-6989586621679189191"><span id="local-6989586621679189196"><span class="annot"><span class="annottext">Eq AlignEnum
AlignEnum
Int -&gt; AlignEnum
AlignEnum -&gt; Bool
AlignEnum -&gt; Int
AlignEnum -&gt; Maybe Int
AlignEnum -&gt; AlignEnum
AlignEnum -&gt; Int -&gt; Bool
AlignEnum -&gt; Int -&gt; AlignEnum
AlignEnum -&gt; AlignEnum -&gt; AlignEnum
forall a.
Eq a
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; a
-&gt; (Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; Bool)
-&gt; (a -&gt; Maybe Int)
-&gt; (a -&gt; Int)
-&gt; (a -&gt; Bool)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int)
-&gt; Bits a
popCount :: AlignEnum -&gt; Int
$cpopCount :: AlignEnum -&gt; Int
rotateR :: AlignEnum -&gt; Int -&gt; AlignEnum
$crotateR :: AlignEnum -&gt; Int -&gt; AlignEnum
rotateL :: AlignEnum -&gt; Int -&gt; AlignEnum
$crotateL :: AlignEnum -&gt; Int -&gt; AlignEnum
unsafeShiftR :: AlignEnum -&gt; Int -&gt; AlignEnum
$cunsafeShiftR :: AlignEnum -&gt; Int -&gt; AlignEnum
shiftR :: AlignEnum -&gt; Int -&gt; AlignEnum
$cshiftR :: AlignEnum -&gt; Int -&gt; AlignEnum
unsafeShiftL :: AlignEnum -&gt; Int -&gt; AlignEnum
$cunsafeShiftL :: AlignEnum -&gt; Int -&gt; AlignEnum
shiftL :: AlignEnum -&gt; Int -&gt; AlignEnum
$cshiftL :: AlignEnum -&gt; Int -&gt; AlignEnum
isSigned :: AlignEnum -&gt; Bool
$cisSigned :: AlignEnum -&gt; Bool
bitSize :: AlignEnum -&gt; Int
$cbitSize :: AlignEnum -&gt; Int
bitSizeMaybe :: AlignEnum -&gt; Maybe Int
$cbitSizeMaybe :: AlignEnum -&gt; Maybe Int
testBit :: AlignEnum -&gt; Int -&gt; Bool
$ctestBit :: AlignEnum -&gt; Int -&gt; Bool
complementBit :: AlignEnum -&gt; Int -&gt; AlignEnum
$ccomplementBit :: AlignEnum -&gt; Int -&gt; AlignEnum
clearBit :: AlignEnum -&gt; Int -&gt; AlignEnum
$cclearBit :: AlignEnum -&gt; Int -&gt; AlignEnum
setBit :: AlignEnum -&gt; Int -&gt; AlignEnum
$csetBit :: AlignEnum -&gt; Int -&gt; AlignEnum
bit :: Int -&gt; AlignEnum
$cbit :: Int -&gt; AlignEnum
zeroBits :: AlignEnum
$czeroBits :: AlignEnum
rotate :: AlignEnum -&gt; Int -&gt; AlignEnum
$crotate :: AlignEnum -&gt; Int -&gt; AlignEnum
shift :: AlignEnum -&gt; Int -&gt; AlignEnum
$cshift :: AlignEnum -&gt; Int -&gt; AlignEnum
complement :: AlignEnum -&gt; AlignEnum
$ccomplement :: AlignEnum -&gt; AlignEnum
xor :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$cxor :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
.|. :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$c.|. :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
.&amp;. :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
$c.&amp;. :: AlignEnum -&gt; AlignEnum -&gt; AlignEnum
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Bits</span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679189076"><span id="local-6989586621679189080"><span id="local-6989586621679189084"><span id="local-6989586621679189088"><span id="local-6989586621679189092"><span id="local-6989586621679189096"><span id="local-6989586621679189100"><span id="local-6989586621679189105"><span class="annot"><span class="annottext">Ptr AlignEnum -&gt; IO AlignEnum
Ptr AlignEnum -&gt; Int -&gt; IO AlignEnum
Ptr AlignEnum -&gt; Int -&gt; AlignEnum -&gt; IO ()
Ptr AlignEnum -&gt; AlignEnum -&gt; IO ()
AlignEnum -&gt; Int
forall b. Ptr b -&gt; Int -&gt; IO AlignEnum
forall b. Ptr b -&gt; Int -&gt; AlignEnum -&gt; IO ()
forall a.
(a -&gt; Int)
-&gt; (a -&gt; Int)
-&gt; (Ptr a -&gt; Int -&gt; IO a)
-&gt; (Ptr a -&gt; Int -&gt; a -&gt; IO ())
-&gt; (forall b. Ptr b -&gt; Int -&gt; IO a)
-&gt; (forall b. Ptr b -&gt; Int -&gt; a -&gt; IO ())
-&gt; (Ptr a -&gt; IO a)
-&gt; (Ptr a -&gt; a -&gt; IO ())
-&gt; Storable a
poke :: Ptr AlignEnum -&gt; AlignEnum -&gt; IO ()
$cpoke :: Ptr AlignEnum -&gt; AlignEnum -&gt; IO ()
peek :: Ptr AlignEnum -&gt; IO AlignEnum
$cpeek :: Ptr AlignEnum -&gt; IO AlignEnum
pokeByteOff :: forall b. Ptr b -&gt; Int -&gt; AlignEnum -&gt; IO ()
$cpokeByteOff :: forall b. Ptr b -&gt; Int -&gt; AlignEnum -&gt; IO ()
peekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO AlignEnum
$cpeekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO AlignEnum
pokeElemOff :: Ptr AlignEnum -&gt; Int -&gt; AlignEnum -&gt; IO ()
$cpokeElemOff :: Ptr AlignEnum -&gt; Int -&gt; AlignEnum -&gt; IO ()
peekElemOff :: Ptr AlignEnum -&gt; Int -&gt; IO AlignEnum
$cpeekElemOff :: Ptr AlignEnum -&gt; Int -&gt; IO AlignEnum
alignment :: AlignEnum -&gt; Int
$calignment :: AlignEnum -&gt; Int
sizeOf :: AlignEnum -&gt; Int
$csizeOf :: AlignEnum -&gt; Int
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Storable</span></span></span></span></span></span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-30"></span><span>
</span><span id="line-31"></span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#alignLeft"><span class="hs-identifier hs-type">alignLeft</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-type">AlignEnum</span></a></span><span>
</span><span id="line-32"></span><span id="alignLeft"><span class="annot"><span class="annottext">alignLeft :: AlignEnum
</span><a href="SDL.GPU.FC.C.Types.html#alignLeft"><span class="hs-identifier hs-var hs-var">alignLeft</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">AlignEnum
</span><span class="hs-number">0</span></span><span>
</span><span id="line-33"></span><span class="hs-pragma">{-# LINE 33 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-33"></span><span>
</span><span id="line-34"></span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#alignCenter"><span class="hs-identifier hs-type">alignCenter</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-type">AlignEnum</span></a></span><span>
</span><span id="line-35"></span><span id="alignCenter"><span class="annot"><span class="annottext">alignCenter :: AlignEnum
</span><a href="SDL.GPU.FC.C.Types.html#alignCenter"><span class="hs-identifier hs-var hs-var">alignCenter</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">AlignEnum
</span><span class="hs-number">1</span></span><span>
</span><span id="line-36"></span><span class="hs-pragma">{-# LINE 36 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-36"></span><span>
</span><span id="line-37"></span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#alignRight"><span class="hs-identifier hs-type">alignRight</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-type">AlignEnum</span></a></span><span>
</span><span id="line-38"></span><span id="alignRight"><span class="annot"><span class="annottext">alignRight :: AlignEnum
</span><a href="SDL.GPU.FC.C.Types.html#alignRight"><span class="hs-identifier hs-var hs-var">alignRight</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">AlignEnum
</span><span class="hs-number">2</span></span><span>
</span><span id="line-39"></span><span class="hs-pragma">{-# LINE 39 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-39"></span><span>
</span><span id="line-40"></span><span class="hs-keyword">newtype</span><span> </span><span id="FilterEnum"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#FilterEnum"><span class="hs-identifier hs-var">FilterEnum</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="FilterEnum"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#FilterEnum"><span class="hs-identifier hs-var">FilterEnum</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word32</span></span><span>
</span><span id="line-41"></span><span class="hs-pragma">{-# LINE 41 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-41"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">stock</span><span> </span><span class="hs-special">(</span><span class="hs-identifier">Eq</span><span class="hs-special">,</span><span> </span><span class="hs-identifier">Show</span><span class="hs-special">)</span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">newtype</span></span><span> </span><span class="hs-special">(</span><span id="local-6989586621679189029"><span id="local-6989586621679189033"><span id="local-6989586621679189037"><span id="local-6989586621679189041"><span id="local-6989586621679189045"><span id="local-6989586621679189049"><span id="local-6989586621679189053"><span class="annot"><span class="annottext">Integer -&gt; FilterEnum
FilterEnum -&gt; FilterEnum
FilterEnum -&gt; FilterEnum -&gt; FilterEnum
forall a.
(a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (Integer -&gt; a)
-&gt; Num a
fromInteger :: Integer -&gt; FilterEnum
$cfromInteger :: Integer -&gt; FilterEnum
signum :: FilterEnum -&gt; FilterEnum
$csignum :: FilterEnum -&gt; FilterEnum
abs :: FilterEnum -&gt; FilterEnum
$cabs :: FilterEnum -&gt; FilterEnum
negate :: FilterEnum -&gt; FilterEnum
$cnegate :: FilterEnum -&gt; FilterEnum
* :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$c* :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
- :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$c- :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
+ :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$c+ :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Num</span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679188939"><span id="local-6989586621679188943"><span id="local-6989586621679188947"><span id="local-6989586621679188951"><span id="local-6989586621679188955"><span id="local-6989586621679188959"><span id="local-6989586621679188963"><span id="local-6989586621679188967"><span id="local-6989586621679188971"><span id="local-6989586621679188975"><span id="local-6989586621679188979"><span id="local-6989586621679188983"><span id="local-6989586621679188987"><span id="local-6989586621679188991"><span id="local-6989586621679188995"><span id="local-6989586621679188999"><span id="local-6989586621679189003"><span id="local-6989586621679189007"><span id="local-6989586621679189011"><span id="local-6989586621679189015"><span id="local-6989586621679189019"><span id="local-6989586621679189023"><span class="annot"><span class="annottext">Eq FilterEnum
FilterEnum
Int -&gt; FilterEnum
FilterEnum -&gt; Bool
FilterEnum -&gt; Int
FilterEnum -&gt; Maybe Int
FilterEnum -&gt; FilterEnum
FilterEnum -&gt; Int -&gt; Bool
FilterEnum -&gt; Int -&gt; FilterEnum
FilterEnum -&gt; FilterEnum -&gt; FilterEnum
forall a.
Eq a
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; a
-&gt; (Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; Bool)
-&gt; (a -&gt; Maybe Int)
-&gt; (a -&gt; Int)
-&gt; (a -&gt; Bool)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int)
-&gt; Bits a
popCount :: FilterEnum -&gt; Int
$cpopCount :: FilterEnum -&gt; Int
rotateR :: FilterEnum -&gt; Int -&gt; FilterEnum
$crotateR :: FilterEnum -&gt; Int -&gt; FilterEnum
rotateL :: FilterEnum -&gt; Int -&gt; FilterEnum
$crotateL :: FilterEnum -&gt; Int -&gt; FilterEnum
unsafeShiftR :: FilterEnum -&gt; Int -&gt; FilterEnum
$cunsafeShiftR :: FilterEnum -&gt; Int -&gt; FilterEnum
shiftR :: FilterEnum -&gt; Int -&gt; FilterEnum
$cshiftR :: FilterEnum -&gt; Int -&gt; FilterEnum
unsafeShiftL :: FilterEnum -&gt; Int -&gt; FilterEnum
$cunsafeShiftL :: FilterEnum -&gt; Int -&gt; FilterEnum
shiftL :: FilterEnum -&gt; Int -&gt; FilterEnum
$cshiftL :: FilterEnum -&gt; Int -&gt; FilterEnum
isSigned :: FilterEnum -&gt; Bool
$cisSigned :: FilterEnum -&gt; Bool
bitSize :: FilterEnum -&gt; Int
$cbitSize :: FilterEnum -&gt; Int
bitSizeMaybe :: FilterEnum -&gt; Maybe Int
$cbitSizeMaybe :: FilterEnum -&gt; Maybe Int
testBit :: FilterEnum -&gt; Int -&gt; Bool
$ctestBit :: FilterEnum -&gt; Int -&gt; Bool
complementBit :: FilterEnum -&gt; Int -&gt; FilterEnum
$ccomplementBit :: FilterEnum -&gt; Int -&gt; FilterEnum
clearBit :: FilterEnum -&gt; Int -&gt; FilterEnum
$cclearBit :: FilterEnum -&gt; Int -&gt; FilterEnum
setBit :: FilterEnum -&gt; Int -&gt; FilterEnum
$csetBit :: FilterEnum -&gt; Int -&gt; FilterEnum
bit :: Int -&gt; FilterEnum
$cbit :: Int -&gt; FilterEnum
zeroBits :: FilterEnum
$czeroBits :: FilterEnum
rotate :: FilterEnum -&gt; Int -&gt; FilterEnum
$crotate :: FilterEnum -&gt; Int -&gt; FilterEnum
shift :: FilterEnum -&gt; Int -&gt; FilterEnum
$cshift :: FilterEnum -&gt; Int -&gt; FilterEnum
complement :: FilterEnum -&gt; FilterEnum
$ccomplement :: FilterEnum -&gt; FilterEnum
xor :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$cxor :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
.|. :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$c.|. :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
.&amp;. :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
$c.&amp;. :: FilterEnum -&gt; FilterEnum -&gt; FilterEnum
</span><a href="#local-6989586621679188939"><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Bits</span></a></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679188906"><span id="local-6989586621679188910"><span id="local-6989586621679188914"><span id="local-6989586621679188918"><span id="local-6989586621679188922"><span id="local-6989586621679188926"><span id="local-6989586621679188930"><span id="local-6989586621679188934"><span class="annot"><span class="annottext">Ptr FilterEnum -&gt; IO FilterEnum
Ptr FilterEnum -&gt; Int -&gt; IO FilterEnum
Ptr FilterEnum -&gt; Int -&gt; FilterEnum -&gt; IO ()
Ptr FilterEnum -&gt; FilterEnum -&gt; IO ()
FilterEnum -&gt; Int
forall b. Ptr b -&gt; Int -&gt; IO FilterEnum
forall b. Ptr b -&gt; Int -&gt; FilterEnum -&gt; IO ()
forall a.
(a -&gt; Int)
-&gt; (a -&gt; Int)
-&gt; (Ptr a -&gt; Int -&gt; IO a)
-&gt; (Ptr a -&gt; Int -&gt; a -&gt; IO ())
-&gt; (forall b. Ptr b -&gt; Int -&gt; IO a)
-&gt; (forall b. Ptr b -&gt; Int -&gt; a -&gt; IO ())
-&gt; (Ptr a -&gt; IO a)
-&gt; (Ptr a -&gt; a -&gt; IO ())
-&gt; Storable a
poke :: Ptr FilterEnum -&gt; FilterEnum -&gt; IO ()
$cpoke :: Ptr FilterEnum -&gt; FilterEnum -&gt; IO ()
peek :: Ptr FilterEnum -&gt; IO FilterEnum
$cpeek :: Ptr FilterEnum -&gt; IO FilterEnum
pokeByteOff :: forall b. Ptr b -&gt; Int -&gt; FilterEnum -&gt; IO ()
$cpokeByteOff :: forall b. Ptr b -&gt; Int -&gt; FilterEnum -&gt; IO ()
peekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO FilterEnum
$cpeekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO FilterEnum
pokeElemOff :: Ptr FilterEnum -&gt; Int -&gt; FilterEnum -&gt; IO ()
$cpokeElemOff :: Ptr FilterEnum -&gt; Int -&gt; FilterEnum -&gt; IO ()
peekElemOff :: Ptr FilterEnum -&gt; Int -&gt; IO FilterEnum
$cpeekElemOff :: Ptr FilterEnum -&gt; Int -&gt; IO FilterEnum
alignment :: FilterEnum -&gt; Int
$calignment :: FilterEnum -&gt; Int
sizeOf :: FilterEnum -&gt; Int
$csizeOf :: FilterEnum -&gt; Int
</span><a href="#local-6989586621679188906"><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Storable</span></a></span></span></span></span></span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-43"></span><span>
</span><span id="line-44"></span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#filterNearest"><span class="hs-identifier hs-type">filterNearest</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#FilterEnum"><span class="hs-identifier hs-type">FilterEnum</span></a></span><span>
</span><span id="line-45"></span><span id="filterNearest"><span class="annot"><span class="annottext">filterNearest :: FilterEnum
</span><a href="SDL.GPU.FC.C.Types.html#filterNearest"><span class="hs-identifier hs-var hs-var">filterNearest</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">FilterEnum
</span><span class="hs-number">0</span></span><span>
</span><span id="line-46"></span><span class="hs-pragma">{-# LINE 46 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-46"></span><span>
</span><span id="line-47"></span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#filterLinear"><span class="hs-identifier hs-type">filterLinear</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#FilterEnum"><span class="hs-identifier hs-type">FilterEnum</span></a></span><span>
</span><span id="line-48"></span><span id="filterLinear"><span class="annot"><span class="annottext">filterLinear :: FilterEnum
</span><a href="SDL.GPU.FC.C.Types.html#filterLinear"><span class="hs-identifier hs-var hs-var">filterLinear</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">FilterEnum
</span><span class="hs-number">1</span></span><span>
</span><span id="line-49"></span><span class="hs-pragma">{-# LINE 49 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-49"></span><span>
</span><span id="line-50"></span><span id="local-6989586621679188899"><span id="local-6989586621679188900"></span></span><span class="hs-keyword">data</span><span> </span><span id="ScaleF"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#ScaleF"><span class="hs-identifier hs-var">ScaleF</span></a></span></span><span> </span><span id="local-6989586621679189334"><span class="annot"><a href="#local-6989586621679189334"><span class="hs-identifier hs-type">mode</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="Scale"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-var">Scale</span></a></span></span><span>
</span><span id="line-51"></span><span>  </span><span class="hs-special">{</span><span> </span><span id="%24sel%3Ax%3AScale"><span class="annot"><span class="annottext">forall (mode :: MemMode). ScaleF mode -&gt; MemField mode Float 0
</span><a href="SDL.GPU.FC.C.Types.html#%24sel%3Ax%3AScale"><span class="hs-identifier hs-var hs-var">x</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Memorable.html#MemField"><span class="hs-identifier hs-type">MemField</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189334"><span class="hs-identifier hs-type">mode</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-number">0</span></span><span class="hs-special">)</span><span>
</span><span id="line-52"></span><span class="hs-pragma">{-# LINE 52 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-52"></span><span>  </span><span class="hs-special">,</span><span> </span><span class="hs-identifier">y</span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-identifier">MemField</span><span> </span><span class="hs-identifier">mode</span><span> </span><span class="hs-identifier">GPU.Float</span><span> </span><span class="hs-special">(</span><span class="hs-number">4</span><span class="hs-special">)</span><span>
</span><span id="line-53"></span><span class="hs-pragma">{-# LINE 53 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-53"></span><span>  </span><span class="hs-special">}</span><span>
</span><span id="line-54"></span><span>
</span><span id="line-55"></span><span class="hs-keyword">deriving</span><span> </span><span id="local-6989586621679189328"><span class="annot"><a href="#local-6989586621679189328"><span class="hs-keyword hs-type">stock</span></a></span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Generic</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#ScaleF"><span class="hs-identifier hs-type">ScaleF</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189328"><span class="hs-identifier hs-type">mode</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-56"></span><span class="hs-keyword">type</span><span> </span><span id="Scale"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-var">Scale</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#ScaleF"><span class="hs-identifier hs-type">ScaleF</span></a></span><span> </span><span class="annot"><a href="Memorable.html#HaskellMem"><span class="hs-identifier hs-type">HaskellMem</span></a></span><span>
</span><span id="line-57"></span><span id="local-6989586621679188882"><span id="local-6989586621679188884"><span id="local-6989586621679188890"><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">stock</span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Show</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-type">Scale</span></a></span></span></span></span><span>
</span><span id="line-58"></span><span id="local-6989586621679188823"><span id="local-6989586621679188831"><span id="local-6989586621679188839"><span id="local-6989586621679188847"><span id="local-6989586621679188855"><span id="local-6989586621679188863"><span id="local-6989586621679188871"><span id="local-6989586621679188880"><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">via</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Memorable.html#MemStorable"><span class="hs-identifier hs-type">MemStorable</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-type">Scale</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Storable</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-type">Scale</span></a></span></span></span></span></span></span></span></span></span><span>
</span><span id="line-59"></span><span class="hs-keyword">instance</span><span> </span><span class="annot"><a href="Memorable.html#MemData"><span class="hs-identifier hs-type">MemData</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Scale"><span class="hs-identifier hs-type">Scale</span></a></span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-60"></span><span>  </span><span id="local-6989586621679188727"><span class="annot"><span class="annottext">memDataSize :: Int
</span><a href="Memorable.html#memDataSize"><span class="hs-identifier hs-var hs-var hs-var hs-var">memDataSize</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Int
</span><span class="hs-number">8</span></span><span class="hs-special">)</span><span>
</span><span id="line-61"></span><span class="hs-pragma">{-# LINE 61 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-61"></span><span>  </span><span class="hs-identifier">memDataAlignment</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-number">4</span><span>
</span><span id="line-62"></span><span class="hs-pragma">{-# LINE 62 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-62"></span><span>
</span><span id="line-63"></span><span id="local-6989586621679188722"><span id="local-6989586621679188723"></span></span><span class="hs-keyword">data</span><span> </span><span id="EffectF"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#EffectF"><span class="hs-identifier hs-var">EffectF</span></a></span></span><span> </span><span id="local-6989586621679189292"><span class="annot"><a href="#local-6989586621679189292"><span class="hs-identifier hs-type">mode</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="Effect"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-var">Effect</span></a></span></span><span>
</span><span id="line-64"></span><span>  </span><span class="hs-special">{</span><span> </span><span id="%24sel%3Aalignment%3AEffect"><span class="annot"><span class="annottext">forall (mode :: MemMode). EffectF mode -&gt; MemField mode AlignEnum 0
</span><a href="SDL.GPU.FC.C.Types.html#%24sel%3Aalignment%3AEffect"><span class="hs-identifier hs-var hs-var">alignment</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Memorable.html#MemField"><span class="hs-identifier hs-type">MemField</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189292"><span class="hs-identifier hs-type">mode</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#AlignEnum"><span class="hs-identifier hs-type">AlignEnum</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-number">0</span></span><span class="hs-special">)</span><span>
</span><span id="line-65"></span><span class="hs-pragma">{-# LINE 65 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-65"></span><span>  </span><span class="hs-special">,</span><span> </span><span class="hs-identifier">scale</span><span>     </span><span class="hs-glyph">::</span><span> </span><span class="hs-identifier">MemField</span><span> </span><span class="hs-identifier">mode</span><span> </span><span class="hs-identifier">Scale</span><span> </span><span class="hs-special">(</span><span class="hs-number">4</span><span class="hs-special">)</span><span>
</span><span id="line-66"></span><span class="hs-pragma">{-# LINE 66 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-66"></span><span>  </span><span class="hs-special">,</span><span> </span><span class="hs-identifier">color</span><span>     </span><span class="hs-glyph">::</span><span> </span><span class="hs-identifier">MemField</span><span> </span><span class="hs-identifier">mode</span><span> </span><span class="hs-identifier">SDL.Color</span><span> </span><span class="hs-special">(</span><span class="hs-number">12</span><span class="hs-special">)</span><span>
</span><span id="line-67"></span><span class="hs-pragma">{-# LINE 67 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-67"></span><span>  </span><span class="hs-special">}</span><span>
</span><span id="line-68"></span><span>
</span><span id="line-69"></span><span class="hs-keyword">deriving</span><span> </span><span id="local-6989586621679189287"><span class="annot"><a href="#local-6989586621679189287"><span class="hs-keyword hs-type">stock</span></a></span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Generic</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#EffectF"><span class="hs-identifier hs-type">EffectF</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189287"><span class="hs-identifier hs-type">mode</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-70"></span><span class="hs-keyword">type</span><span> </span><span id="Effect"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-var">Effect</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#EffectF"><span class="hs-identifier hs-type">EffectF</span></a></span><span> </span><span class="annot"><a href="Memorable.html#HaskellMem"><span class="hs-identifier hs-type">HaskellMem</span></a></span><span>
</span><span id="line-71"></span><span id="local-6989586621679188704"><span id="local-6989586621679188706"><span id="local-6989586621679188713"><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">stock</span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Show</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-type">Effect</span></a></span></span></span></span><span>
</span><span id="line-72"></span><span id="local-6989586621679188646"><span id="local-6989586621679188654"><span id="local-6989586621679188662"><span id="local-6989586621679188670"><span id="local-6989586621679188678"><span id="local-6989586621679188686"><span id="local-6989586621679188694"><span id="local-6989586621679188702"><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">via</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Memorable.html#MemStorable"><span class="hs-identifier hs-type">MemStorable</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-type">Effect</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Storable</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-type">Effect</span></a></span></span></span></span></span></span></span></span></span><span>
</span><span id="line-73"></span><span class="hs-keyword">instance</span><span> </span><span class="annot"><a href="Memorable.html#MemData"><span class="hs-identifier hs-type">MemData</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Effect"><span class="hs-identifier hs-type">Effect</span></a></span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-74"></span><span>  </span><span id="local-6989586621679188506"><span class="annot"><span class="annottext">memDataSize :: Int
</span><a href="#local-6989586621679188506"><span class="hs-identifier hs-var hs-var hs-var hs-var">memDataSize</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Int
</span><span class="hs-number">16</span></span><span class="hs-special">)</span><span>
</span><span id="line-75"></span><span class="hs-pragma">{-# LINE 75 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-75"></span><span>  </span><span class="hs-identifier">memDataAlignment</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-number">4</span><span>
</span><span id="line-76"></span><span class="hs-pragma">{-# LINE 76 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-76"></span><span>
</span><span id="line-77"></span><span class="hs-comment">-- Opaque type</span><span>
</span><span id="line-78"></span><span class="hs-keyword">data</span><span> </span><span id="Font"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#Font"><span class="hs-identifier hs-var">Font</span></a></span></span><span>
</span><span id="line-79"></span><span>
</span><span id="line-80"></span><span id="local-6989586621679188502"><span id="local-6989586621679188503"></span></span><span class="hs-keyword">data</span><span> </span><span id="GlyphDataF"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphDataF"><span class="hs-identifier hs-var">GlyphDataF</span></a></span></span><span> </span><span id="local-6989586621679189282"><span class="annot"><a href="#local-6989586621679189282"><span class="hs-identifier hs-type">mode</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="GlyphData"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-var">GlyphData</span></a></span></span><span>
</span><span id="line-81"></span><span>  </span><span class="hs-special">{</span><span> </span><span id="%24sel%3Arect%3AGlyphData"><span class="annot"><span class="annottext">forall (mode :: MemMode). GlyphDataF mode -&gt; MemField mode Rect 0
</span><a href="SDL.GPU.FC.C.Types.html#%24sel%3Arect%3AGlyphData"><span class="hs-identifier hs-var hs-var">rect</span></a></span></span><span>        </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Memorable.html#MemField"><span class="hs-identifier hs-type">MemField</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189282"><span class="hs-identifier hs-type">mode</span></a></span><span> </span><span class="annot"><span class="hs-identifier hs-type">SDL.Rect</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-number">0</span></span><span class="hs-special">)</span><span>
</span><span id="line-82"></span><span class="hs-pragma">{-# LINE 82 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-82"></span><span>  </span><span class="hs-special">,</span><span> </span><span class="hs-identifier">cache_level</span><span> </span><span class="hs-glyph">::</span><span> </span><span class="hs-identifier">MemField</span><span> </span><span class="hs-identifier">mode</span><span> </span><span class="hs-identifier">GPU.Int</span><span> </span><span class="hs-special">(</span><span class="hs-number">16</span><span class="hs-special">)</span><span>
</span><span id="line-83"></span><span class="hs-pragma">{-# LINE 83 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-83"></span><span>  </span><span class="hs-special">}</span><span>
</span><span id="line-84"></span><span>
</span><span id="line-85"></span><span class="hs-keyword">deriving</span><span> </span><span id="local-6989586621679189277"><span class="annot"><a href="#local-6989586621679189277"><span class="hs-keyword hs-type">stock</span></a></span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Generic</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphDataF"><span class="hs-identifier hs-type">GlyphDataF</span></a></span><span> </span><span class="annot"><a href="#local-6989586621679189277"><span class="hs-identifier hs-type">mode</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-86"></span><span class="hs-keyword">type</span><span> </span><span id="GlyphData"><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-var">GlyphData</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphDataF"><span class="hs-identifier hs-type">GlyphDataF</span></a></span><span> </span><span class="annot"><a href="Memorable.html#HaskellMem"><span class="hs-identifier hs-type">HaskellMem</span></a></span><span>
</span><span id="line-87"></span><span id="local-6989586621679188485"><span id="local-6989586621679188487"><span id="local-6989586621679188494"><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">stock</span></span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Show</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-type">GlyphData</span></a></span></span></span></span><span>
</span><span id="line-88"></span><span id="local-6989586621679188427"><span id="local-6989586621679188435"><span id="local-6989586621679188443"><span id="local-6989586621679188451"><span id="local-6989586621679188459"><span id="local-6989586621679188467"><span id="local-6989586621679188475"><span id="local-6989586621679188483"><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">via</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Memorable.html#MemStorable"><span class="hs-identifier hs-type">MemStorable</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-type">GlyphData</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">instance</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Storable</span></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-type">GlyphData</span></a></span></span></span></span></span></span></span></span></span><span>
</span><span id="line-89"></span><span class="hs-keyword">instance</span><span> </span><span class="annot"><a href="Memorable.html#MemData"><span class="hs-identifier hs-type">MemData</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.FC.C.Types.html#GlyphData"><span class="hs-identifier hs-type">GlyphData</span></a></span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-90"></span><span>  </span><span id="local-6989586621679188326"><span class="annot"><span class="annottext">memDataSize :: Int
</span><a href="#local-6989586621679188326"><span class="hs-identifier hs-var hs-var hs-var hs-var">memDataSize</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Int
</span><span class="hs-number">20</span></span><span class="hs-special">)</span><span>
</span><span id="line-91"></span><span class="hs-pragma">{-# LINE 91 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-91"></span><span>  </span><span class="hs-identifier">memDataAlignment</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-number">4</span><span>
</span><span id="line-92"></span><span class="hs-pragma">{-# LINE 92 &quot;src/SDL/GPU/FC/C/Types.hsc&quot; #-}</span><span>
</span><span id="line-92"></span></pre></body></html>